diff --git a/src/common/Parameter.cpp b/src/common/Parameter.cpp
index d1985be4a..10b41bdc6 100644
--- a/src/common/Parameter.cpp
+++ b/src/common/Parameter.cpp
@@ -193,6 +193,7 @@ void Parameter::clear_flags()
    temposync = false;
    extend_range = false;
    absolute = false;
+   deactivated = false;
 }
 
 bool Parameter::can_temposync()
@@ -219,6 +220,7 @@ bool Parameter::can_extend_range()
    case ct_decibel_narrow_extendable:
    case ct_oscspread:
    case ct_osc_feedback:
+   case ct_osc_feedback_negative:
       return true;
    }
    return false;
@@ -235,6 +237,16 @@ bool Parameter::can_be_absolute()
    return false;
 }
 
+bool Parameter::can_deactivate()
+{
+   switch(ctrltype)
+   {
+   case ct_freq_audible_deactivatable:
+      return true;
+   }
+   return false;
+}
+
 void Parameter::set_user_data(ParamUserData* ud)
 {
    switch (ctrltype)
@@ -306,6 +318,7 @@ void Parameter::set_type(int ctrltype)
       val_default.f = 0;
       break;
    case ct_freq_audible:
+   case ct_freq_audible_deactivatable:
       valtype = vt_float;
       val_min.f = -60;
       val_max.f = 70;
@@ -684,6 +697,12 @@ void Parameter::set_type(int ctrltype)
       valtype = vt_float;
       val_default.f = 0;
       break;
+   case ct_osc_feedback_negative:
+      val_min.f = -1;
+      val_max.f = 1;
+      valtype = vt_float;
+      val_default.f = 0;
+      break;
    default:
    case ct_none:
       sprintf(dispname, "-");
@@ -731,6 +750,7 @@ void Parameter::bound_value(bool force_integer)
       case ct_percent:
       case ct_percent_bidirectional:
       case ct_osc_feedback:
+      case ct_osc_feedback_negative:
       case ct_detuning:
       {
          val.f = floor(val.f * 100) / 100.0;
@@ -977,7 +997,9 @@ float Parameter::get_extended(float f)
    case ct_oscspread:
       return 12.f * f;
    case ct_osc_feedback:
-      return 8.f * f - 4.f;
+      return 8.f * f - 4.f * f;
+   case ct_osc_feedback_negative:
+      return 4.f * f;
    default:
       return f;
    }
@@ -1101,6 +1123,7 @@ void Parameter::get_display_alt(char* txt, bool external, float ef)
    {
    case ct_freq_hpf:
    case ct_freq_audible:
+   case ct_freq_audible_deactivatable:
    case ct_freq_vocoder_low:
    case ct_freq_vocoder_high:
    {
@@ -1252,6 +1275,7 @@ void Parameter::get_display(char* txt, bool external, float ef)
          break;
       case ct_freq_hpf:
       case ct_freq_audible:
+      case ct_freq_audible_deactivatable:
       case ct_freq_vocoder_low:
       case ct_freq_vocoder_high:
          sprintf(txt, "%.*f Hz", (detailedMode ? 6 : 3), 440.f * powf(2.0f, f / 12.f));
@@ -1280,6 +1304,7 @@ void Parameter::get_display(char* txt, bool external, float ef)
          sprintf(txt, "%.*f", (detailedMode ? 6 : 2), f);
          break;
       case ct_osc_feedback:
+      case ct_osc_feedback_negative:
          sprintf(txt, "%.*f %c", (detailedMode ? 6 : 2), get_extended(f) * 100.f, '%');
          break;
       default:
@@ -1751,6 +1776,7 @@ bool Parameter::can_setvalue_from_string()
    case ct_decibel_fmdepth:
    case ct_decibel_extendable:
    case ct_freq_audible:
+   case ct_freq_audible_deactivatable:
    case ct_freq_shift:
    case ct_freq_hpf:
    case ct_freq_vocoder_low:
@@ -1769,6 +1795,7 @@ bool Parameter::can_setvalue_from_string()
    case ct_flangerpitch:
    case ct_flangervoices:
    case ct_osc_feedback:
+   case ct_osc_feedback_negative:
    case ct_chorusmodtime:
    case ct_pbdepth:
    case ct_polylimit:
@@ -1992,6 +2019,7 @@ bool Parameter::set_value_from_string( std::string s )
    }
    case ct_freq_hpf:
    case ct_freq_audible:
+   case ct_freq_audible_deactivatable:
    case ct_freq_vocoder_low:
    case ct_freq_vocoder_high:
    {  
@@ -2067,7 +2095,29 @@ bool Parameter::set_value_from_string( std::string s )
       else
       {
          if (nv < 0 || nv > 100) {
-            return false; }
+            return false;
+         }
+
+         val.f = nv / 100.f;
+      }
+
+      break;
+   }
+   case ct_osc_feedback_negative:
+   {
+      if (extend_range)
+      {
+         if (nv < -400 || nv > 400) {
+            return false;
+         }
+
+         val.f = (nv * 0.00125);
+      }
+      else
+      {
+         if (nv < -1000 || nv > 100) {
+            return false;
+         }
 
          val.f = nv / 100.f;
       }
diff --git a/src/common/Parameter.h b/src/common/Parameter.h
index fe60fd2ff..d976d4e07 100644
--- a/src/common/Parameter.h
+++ b/src/common/Parameter.h
@@ -44,6 +44,7 @@ enum ctrltypes
    ct_decibel_fmdepth,
    ct_decibel_extendable,
    ct_freq_audible,
+   ct_freq_audible_deactivatable,
    ct_freq_mod,
    ct_freq_hpf,
    ct_freq_shift,
@@ -103,6 +104,7 @@ enum ctrltypes
    ct_flangervoices,
    ct_flangerchord,
    ct_osc_feedback,
+   ct_osc_feedback_negative,
    ct_chorusmodtime,
    num_ctrltypes,
 };
@@ -244,6 +246,7 @@ class Parameter
    bool can_temposync();
    bool can_extend_range();
    bool can_be_absolute();
+   bool can_deactivate();
    bool can_setvalue_from_string();
    void clear_flags();
    void set_type(int ctrltype);
@@ -298,7 +301,7 @@ class Parameter
    bool affect_other_parameters;
    float moverate;
    bool per_voice_processing;
-   bool temposync, extend_range, absolute;
+   bool temposync, extend_range, absolute, deactivated;
    
    ParamUserData* user_data;              // I know this is a bit gross but we have a runtime type
    void set_user_data(ParamUserData* ud); // I take a shallow copy and don't assume ownership and assume i am referencable
diff --git a/src/common/dsp/Oscillator.cpp b/src/common/dsp/Oscillator.cpp
index 145f0bfee..cd318d0fe 100644
--- a/src/common/dsp/Oscillator.cpp
+++ b/src/common/dsp/Oscillator.cpp
@@ -59,7 +59,7 @@ Oscillator::~Oscillator()
 /* sine osc */
 
 osc_sine::osc_sine(SurgeStorage* storage, OscillatorStorage* oscdata, pdata* localcopy)
-    : Oscillator(storage, oscdata, localcopy)
+   : Oscillator(storage, oscdata, localcopy), lp(storage), hp(storage)
 {}
 
 void osc_sine::prepare_unison(int voices)
@@ -126,6 +126,12 @@ void osc_sine::init(float pitch, bool is_display)
    id_fb = oscdata->p[1].param_id_in_scene;
    id_fmlegacy = oscdata->p[2].param_id_in_scene;
    id_detune = oscdata->p[5].param_id_in_scene;
+
+   hp.coeff_instantize();
+   lp.coeff_instantize();
+
+   hp.coeff_HP(hp.calc_omega(oscdata->p[3].val.f / 12.0), 0.707);
+   lp.coeff_LP2B(lp.calc_omega(oscdata->p[4].val.f / 12.0), 0.707);
 }
 
 osc_sine::~osc_sine()
@@ -136,6 +142,7 @@ void osc_sine::process_block(float pitch, float drift, bool stereo, bool FM, flo
    if( localcopy[id_fmlegacy].i == 0 )
    {
        process_block_legacy(pitch, drift, stereo, FM, fmdepth );
+       applyFilter();
        return;
    }
    
@@ -214,6 +221,23 @@ void osc_sine::process_block(float pitch, float drift, bool stereo, bool FM, flo
       else
          output[k] = (outL + outR) / 2;
    }
+   applyFilter();
+}
+
+void osc_sine::applyFilter()
+{
+   if( ! oscdata->p[3].deactivated )
+      hp.coeff_HP(hp.calc_omega(oscdata->p[3].val.f / 12.0), 0.707);
+   if( ! oscdata->p[4].deactivated )
+      lp.coeff_LP2B(lp.calc_omega(oscdata->p[4].val.f / 12.0), 0.707);
+
+   for (int k = 0; k < BLOCK_SIZE_OS; k+= BLOCK_SIZE )
+   {
+      if( ! oscdata->p[3].deactivated )
+         hp.process_block( &(output[k]), &(outputR[k]) );
+      if( ! oscdata->p[4].deactivated )
+         lp.process_block( &(output[k]), &(outputR[k]) );
+   }
 }
 
 void osc_sine::process_block_legacy(float pitch, float drift, bool stereo, bool FM, float fmdepth)
@@ -588,11 +612,17 @@ void osc_sine::init_ctrltypes()
    oscdata->p[0].set_type(ct_sineoscmode);
 
    oscdata->p[1].set_name("Feedback");
-   oscdata->p[1].set_type(ct_osc_feedback);
+   oscdata->p[1].set_type(ct_osc_feedback_negative);
 
    oscdata->p[2].set_name("FM Behaviour");
    oscdata->p[2].set_type(ct_sinefmlegacy);
 
+   oscdata->p[3].set_name( "High Cut" );
+   oscdata->p[3].set_type(ct_freq_audible_deactivatable);
+
+   oscdata->p[4].set_name( "Low Cut" );
+   oscdata->p[4].set_type(ct_freq_audible_deactivatable);
+
    oscdata->p[5].set_name("Unison Detune");
    oscdata->p[5].set_type(ct_oscspread);
 
@@ -605,6 +635,12 @@ void osc_sine::init_default_values()
    oscdata->p[0].val.i = 0;
    oscdata->p[1].val.f = 0;
    oscdata->p[2].val.i = 1;
+   
+   oscdata->p[3].val.f = oscdata->p[3].val_min.f; // high cut at the bottom
+   oscdata->p[3].deactivated = true;
+   oscdata->p[4].val.f = oscdata->p[4].val_max.f; // low cut at the top
+   oscdata->p[4].deactivated = true;
+   
    oscdata->p[5].val.f = 0.2;
    oscdata->p[6].val.i = 1;
 }
diff --git a/src/common/dsp/Oscillator.h b/src/common/dsp/Oscillator.h
index f97b1062f..ccfa79271 100644
--- a/src/common/dsp/Oscillator.h
+++ b/src/common/dsp/Oscillator.h
@@ -77,6 +77,9 @@ class osc_sine : public Oscillator
    int id_mode, id_fb, id_fmlegacy, id_detune;
    float lastvalue[MAX_UNISON];
 
+   BiquadFilter lp, hp;
+   void applyFilter();
+   
    inline float valueFromSinAndCos(float svalue, float cvalue ) {
       return valueFromSinAndCos(svalue, cvalue, localcopy[id_mode].i );
    }
diff --git a/src/common/gui/CSurgeSlider.cpp b/src/common/gui/CSurgeSlider.cpp
index 95080fa99..faf2a5f91 100644
--- a/src/common/gui/CSurgeSlider.cpp
+++ b/src/common/gui/CSurgeSlider.cpp
@@ -42,6 +42,7 @@ CSurgeSlider::CSurgeSlider(const CPoint& loc,
 
    modmode = 0;
    disabled = false;
+   deactivated = false;
 
    label[0] = 0;
    leftlabel[0] = 0;
@@ -395,7 +396,7 @@ void CSurgeSlider::draw(CDrawContext* dc)
    }
    
 
-   if (pHandle && (modmode != 2))
+   if (pHandle && (modmode != 2) && ! deactivated)
    {
       if (style & CSlider::kHorizontal)
       {
@@ -428,7 +429,7 @@ void CSurgeSlider::draw(CDrawContext* dc)
             }
          }
       }
-      else
+      else if( ! deactivated )
       {
          pHandle->draw(dc, hrect, CPoint(0, 28 * typehy), modmode ? 0x7f : 0xff);
          if( is_temposync )
@@ -466,7 +467,7 @@ void CSurgeSlider::draw(CDrawContext* dc)
    }
 
    // draw mod-fader
-   if (pHandle && modmode)
+   if (pHandle && modmode && ! deactivated)
    {
       CRect hrect(headrect);
       handle_rect = handle_rect_orig;
diff --git a/src/common/gui/CSurgeSlider.h b/src/common/gui/CSurgeSlider.h
index 6e0abb797..1d9524fb6 100644
--- a/src/common/gui/CSurgeSlider.h
+++ b/src/common/gui/CSurgeSlider.h
@@ -74,7 +74,8 @@ class CSurgeSlider : public CCursorHidingControl, public Surge::UI::SkinConsumin
    CLASS_METHODS(CSurgeSlider, CControl)
 
    bool is_mod;
-   bool disabled;
+   bool disabled; // means it can't be used unless something else changes
+   bool deactivated; // means it has been turned off by user action
    bool hasBeenDraggedDuringMouseGesture = false;
 
    SurgeStorage* storage = nullptr;
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index c6cef2eda..e23719abb 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -1118,6 +1118,7 @@ void SurgeGUIEditor::openOrRecreateEditor()
          case ct_freq_mod:
          case ct_percent_bidirectional:
          case ct_freq_shift:
+         case ct_osc_feedback_negative:
             style |= kBipolar;
             break;
          };
@@ -1140,6 +1141,11 @@ void SurgeGUIEditor::openOrRecreateEditor()
             hs->setModPresent(synth->isModDestUsed(p->id));
             hs->setDefaultValue(p->get_default_value_f01());
 
+            if( p->can_deactivate() )
+               hs->deactivated = p->deactivated;
+            else
+               hs->deactivated = false;
+            
             if (synth->isValidModulation(p->id, modsource))
             {
                hs->setModMode(mod_editor ? 1 : 0);
@@ -1286,6 +1292,7 @@ void SurgeGUIEditor::openOrRecreateEditor()
          case ct_decibel_extendable:
          case ct_freq_mod:
          case ct_percent_bidirectional:
+         case ct_osc_feedback_negative:
          case ct_freq_shift:
             style |= kBipolar;
             break;
@@ -1772,6 +1779,12 @@ void SurgeGUIEditor::openOrRecreateEditor()
                hs->setMoveRate(p->moverate);
                if( p->can_temposync() )
                   hs->setTempoSync(p->temposync);
+
+               if( p->can_deactivate() )
+                  hs->deactivated = p->deactivated;
+               else
+                  hs->deactivated = false;
+
                frame->addView(hs);
                param[i] = hs;
             }
@@ -1791,6 +1804,12 @@ void SurgeGUIEditor::openOrRecreateEditor()
                hs->setMoveRate(p->moverate);
                if( p->can_temposync() )
                   hs->setTempoSync(p->temposync);
+
+               if( p->can_deactivate() )
+                  hs->deactivated = p->deactivated;
+               else
+                  hs->deactivated = false;
+
                frame->addView(hs);
                param[i] = hs;
             }
@@ -2879,6 +2898,19 @@ int32_t SurgeGUIEditor::controlModifierClicked(CControl* control, CButtonState b
                contextMenu->checkEntry(eid, p->absolute);
                eid++;
             }
+            if (p->can_deactivate())
+            {
+               if( p->deactivated )
+               {
+                  addCallbackMenu(contextMenu, "Activate", [this, p]() { p->deactivated = false; this->synth->refresh_editor = true; } );
+               }
+               else
+               {
+                  addCallbackMenu(contextMenu, "Deactivate", [this, p]() { p->deactivated = true; this->synth->refresh_editor = true; } );
+
+               }
+               eid++;
+            }
 
             contextMenu->addSeparator(eid++);
 
